Bug 199977 - [revive port] x11-wm/wmx: return wmx from the attic with update to version 8
Summary: [revive port] x11-wm/wmx: return wmx from the attic with update to version 8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-05 22:14 UTC by Keith White
Modified: 2015-10-22 12:23 UTC (History)
1 user (show)

See Also:


Attachments
shar for "new" x11-wm/wmx port (2.38 KB, text/plain)
2015-05-05 22:14 UTC, Keith White
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keith White 2015-05-05 22:14:26 UTC
Created attachment 156410 [details]
shar for "new" x11-wm/wmx port

The port x11-wm/wmx was removed some time ago.  Nevertheless, I've been a happy daily user.

wmx was recently updated upstream, attached is a new port shar

...keith
Comment 1 commit-hook freebsd_committer 2015-10-22 12:17:03 UTC
A commit references this bug:

Author: danfe
Date: Thu Oct 22 12:16:40 UTC 2015
New revision: 399968
URL: https://svnweb.freebsd.org/changeset/ports/399968

Log:
  Resurrect `x11-wm/wmx' port removed by kris@ on Feb 18, 2005.  It is still
  well alive, with the latest version released last year.  Submitter assumes
  maintainership.

  PR:	199977 (modified)

Changes:
  head/x11-wm/Makefile
  head/x11-wm/wmx/
  head/x11-wm/wmx/Makefile
  head/x11-wm/wmx/distinfo
  head/x11-wm/wmx/files/
  head/x11-wm/wmx/pkg-descr
  head/x11-wm/wmx/pkg-plist
  head/x11-wm/wmx/scripts/
Comment 2 Alexey Dokuchaev freebsd_committer 2015-10-22 12:23:24 UTC
Thanks, good work!  I've changed a few things, most notably RUN_DEPENDS on xterm(1).  It is little gain to entangle two ports like this, especially given that there is not dependency on x-terminal-manager.  RUN_DEPENDS makes sense for critical run-time dependencies, but terminal emulator should not be such of a window manager.  Some minor style bugs were fixed as well.

Port resurrected as of ports r399968.